package com.css.simulation.resource.scheduler.mapper;

import com.css.simulation.resource.scheduler.pojo.po.TaskPO;
import org.apache.ibatis.annotations.*;
import org.apache.ibatis.type.JdbcType;

import java.util.List;

@Mapper
public interface TaskMapper {

    @Results(id = "task", value = {
            @Result(property = "id", column = "id", jdbcType = JdbcType.VARCHAR)
    })
    @Select("")
    List<TaskPO> selectByJobId(@Param("jobId") String jobId);


    @Update("update simulation_job\n" +
            "set state = #{state}\n" +
            "where id = #{id}")
    void updateJobState(@Param("id") String id, @Param("state") String state);
}
