package com.css.simulation.resource.scheduler.controller;


import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.scheduler.service.PodService;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class PodController {

    @Resource
    private PodService podService;

    /**
     * Pod 的心跳接口
     */
    @PostMapping("/pod/tick/{taskId}")
    public ResponseBodyVO<String> tickTaskPod(@PathVariable("taskId") String taskId) {
        return podService.tickTaskPod(taskId);
    }
}
